org.jbpm.services.api

## Class DeploymentEvent

- java.lang.Object
- - org.jbpm.services.api.DeploymentEvent

-     public class DeploymentEvent
      extends Object

  Event containing information about a deployment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentEvent(String deploymentId, DeployedUnit deployedUnit)` Create a new deployment event given deployment id and deployed unit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeployedUnit` | `getDeployedUnit()` Returns the deployed unit
    `String` | `getDeploymentId()` Returns the deployment id.
    `void` | `setDeployedUnit(DeployedUnit deployedUnit)` Sets the deployed unit.
    `void` | `setDeploymentId(String deploymentId)` Sets the deployment id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentEvent

          public DeploymentEvent(String deploymentId,
                                 DeployedUnit deployedUnit)

      Create a new deployment event given deployment id and deployed unit.
      Parameters:
        `deploymentId` -
        `deployedUnit` -

  - ### Method Detail

    - #### getDeployedUnit

          public DeployedUnit getDeployedUnit()

      Returns the deployed unit
      Returns:
        @`DeployedUnit` deployed unit

    - #### setDeployedUnit

          public void setDeployedUnit(DeployedUnit deployedUnit)

      Sets the deployed unit.
      Parameters:
        `deployedUnit` -

    - #### getDeploymentId

          public String getDeploymentId()

      Returns the deployment id.
      Returns:
        deployment id

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

      Sets the deployment id.
      Parameters:
        `deploymentId` -

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.